<template>
  <div>
    <div>
      <div
        class="modal fade"
        id="createEditTeamModal"
        tabindex="-1"
        role="dialog"
        aria-labelledby="createEditTeamModalLabel"
        aria-hidden="true"
      >
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5
                v-if="!team.id"
                class="modal-title"
                id="createEditTeamModalLabel"
              >
                New team
              </h5>
              <h5 v-else class="modal-title" id="createEditTeamModalLabel">
                Edit team
              </h5>
            </div>
            <div class="modal-body">
              <form>
                <div class="form-group">
                  <label for="team-name" class="col-form-label"
                    >Name team:</label
                  >
                  <input
                    type="text"
                    class="form-control"
                    id="team-name"
                    v-model="team.name"
                  />
                </div>
              </form>
            </div>
            <div class="modal-footer">
              <button
                v-if="!team.id"
                type="button"
                @click="createTeame()"
                class="btn btn-primary"
                data-dismiss="modal"
              >
                save
              </button>

              <button
                v-else
                type="button"
                @click="editTeam()"
                class="btn btn-primary"
                data-dismiss="modal"
              >
                save
              </button>
              <button
                type="button"
                class="btn btn-secondary"
                data-dismiss="modal"
              >
                Close
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { API_TEAM } from '~/assets/contants/contant.js'

export default {
  data() {
    return {
      team: {
        name: '',
      },
    }
  },
  props: {
    idEditTeam: null,
  },
  methods: {
    createTeame() {
      try {
        this.$axios.$post(API_TEAM, this.team);
        this.$emit('on-create-team-success')
      } catch (error) {
        console.log(error)
        console.log('api create team error')
      }
    },

    async getTeamByid() {
      this.team = await this.$axios.$get(API_TEAM + this.idEditTeam);
      
    },

    async editTeam() {
      try {
        this.listTeam = await this.$axios.$put(
          API_TEAM + this.idEditTeam,
          this.team
        )
        this.$emit('on-edit-team-success')
      } catch (error) {
        console.log(error)
        console.log('api edit team error')
      }
    },
  },
  watch: {
    idEditTeam() {
      if(this.idEditTeam) {
        this.getTeamByid()
      }
      else {
        this.team = {};
      }
    },
  },
  mouted() {
    this.getTeamByid()
  },
}
</script>